NumberFormatter::getTextAttribute
NumberFormatter::parse
NumberFormatter
PHP Manual

# NumberFormatter::parseCurrency

# numfmt_parse_currency

(No version information available, might be only in CVS)

NumberFormatter::parseCurrency -- numfmt_parse_currency — Parse a currency number

### Description

Object oriented style

double NumberFormatter::parseCurrency ( string `$value` , string `&$currency` [, integer `&$position` ] )

Procedural style

double numfmt_parse_currency ( NumberFormatter `$fmt` , string `$value` , string `&$currency` [, integer `&$position` ] )

Parse a string into a double and a currency using the current formatter.

### Parameters

`fmt`

  NumberFormatter object.

`position`

  Parameter to receive the currency name (3-letter ISO 4217 currency code).

`position`

  Offset in the string at which to begin parsing. On return, this value will hold the offset at which parsing ended.

### Return Values

The parsed numeric value or `FALSE` on error.

### Examples

Example #1 numfmt_parse_currency() example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::CURRENCY );
$num = "1.234.567,89 $";
echo "We have ".numfmt_parse_currency($fmt, $num, $curr)." in $curr\n";
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::CURRENCY );
$num = "1.234.567,89 $";
echo "We have ".$fmt->parseCurrency($num, $curr)." in $curr\n";
?>`

The above example will output:

    We have 1234567.89 in USD

### See Also

- numfmt_get_error_code()
- numfmt_parse()
- numfmt_format_currency()

NumberFormatter::getTextAttribute
NumberFormatter::parse
NumberFormatter
PHP Manual